package org.jivesoftware.smack;

public abstract class AbstractConnectionClosedListener extends AbstractConnectionListener {
   public final void connectionClosed() {
      this.connectionTerminated();
   }

   public final void connectionClosedOnError(Exception e) {
      this.connectionTerminated();
   }

   public abstract void connectionTerminated();
}
